OGRE: Ogre::RTShader::LayeredBlending Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::LayeredBlending Class Reference

`#include <OgreShaderExLayeredBlending.h>`

Inheritance diagram for Ogre::RTShader::LayeredBlending:
[legend]

## Public Member Functions
| LayeredBlending ()
| Class default constructor.
void | copyFrom (const SubRenderState &rhs) override
BlendMode | getBlendMode (unsigned short index) const
| Return the blend mode of the given texture unit index.
bool | getSourceModifier (unsigned short index, SourceModifier &modType, int &customNum) const
| Returns the source modifier parameters for a given texture unit.
const Ogre::String & | getType () const override
bool | setBlendMode (uint16 index, const String &mode)
| Set the blend mode of the given texture unit layer with the previous layer.
bool | setSourceModifier (unsigned short index, const String &modType, int customNum)
| Set the source modifier parameters for a given texture unit.
Public Member Functions inherited from Ogre::RTShader::FFPTexturing
| FFPTexturing ()
| Class default constructor.
int | getExecutionOrder () const override
bool | preAddToRenderState (const RenderState *renderState, Pass *srcPass, Pass *dstPass) override
Public Member Functions inherited from Ogre::RTShader::SubRenderState
| SubRenderState ()
| Class default constructor.
virtual | ~SubRenderState ()
| Class destructor.
virtual bool | createCpuSubPrograms (ProgramSet *programSet)
| Create sub programs that represents this sub render state as part of a program set.
SubRenderStateAccessorPtr | getAccessor ()
| Return the accessor object to this sub render state.
SubRenderStateAccessorPtr | getAccessor () const
| Return the accessor object to this sub render state.
SubRenderState & | operator= (const SubRenderState &rhs)
| Operator = declaration.
bool | setParameter (const String &name, const char *value)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
virtual void | updateGpuProgramsParams (Renderable *rend, const Pass *pass, const AutoParamDataSource *source, const LightList *pLightList)
| Update GPU programs parameters before a rendering operation occurs.

## Static Public Attributes
static String | Type
Static Public Attributes inherited from Ogre::RTShader::FFPTexturing
static String | Type

## Constructor & Destructor Documentation

## ◆ LayeredBlending()

Ogre::RTShader::LayeredBlending::LayeredBlending | ( |  | ) |

Class default constructor.

## Member Function Documentation

## ◆ getType()

const Ogre::String & Ogre::RTShader::LayeredBlending::getType | ( |  | ) | const
| overridevirtual

See also
  SubRenderState::getType.

Reimplemented from Ogre::RTShader::FFPTexturing.

## ◆ setBlendMode()

bool Ogre::RTShader::LayeredBlending::setBlendMode | ( | uint16 | index,
|  | const String & | mode )

Set the blend mode of the given texture unit layer with the previous layer.

Parameters

  index | The texture unit texture. Textures units (index-1) and (index) will be blended.
  mode | The blend mode to apply.

## ◆ getBlendMode()

BlendMode Ogre::RTShader::LayeredBlending::getBlendMode | ( | unsigned short | index | ) | const

Return the blend mode of the given texture unit index.

## ◆ setSourceModifier()

bool Ogre::RTShader::LayeredBlending::setSourceModifier | ( | unsigned short | index,
|  | const String & | modType,
|  | int | customNum )

Set the source modifier parameters for a given texture unit.

Parameters

  index | Texture blend index
  modType | The source modification type to use
  customNum | The custom parameter number used to control the modification

## ◆ getSourceModifier()

bool Ogre::RTShader::LayeredBlending::getSourceModifier | ( | unsigned short | index,
|  | SourceModifier & | modType,
|  | int & | customNum ) const

Returns the source modifier parameters for a given texture unit.

Returns
  True if a valid modifier exist for the given texture unit

Parameters

  index | Texture blend index
  modType | The source modification type to use
  customNum | The custom parameter number used to control the modification

## ◆ copyFrom()

void Ogre::RTShader::LayeredBlending::copyFrom | ( | const SubRenderState & | rhs | ) |
| overridevirtual

See also
  SubRenderState::copyFrom.

Reimplemented from Ogre::RTShader::FFPTexturing.

## Member Data Documentation

## ◆ Type

String Ogre::RTShader::LayeredBlending::Type
| static

The documentation for this class was generated from the following file:

- OgreShaderExLayeredBlending.h